# Method: projects.locations.customClasses.create

- [HTTP request](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v1/projects.locations.customClasses/create#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v1/projects.locations.customClasses/create#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v1/projects.locations.customClasses/create#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v1/projects.locations.customClasses/create#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v1/projects.locations.customClasses/create#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v1/projects.locations.customClasses/create#body.aspect)

Create a custom class.

### HTTP request

`POST https://speech.googleapis.com/v1/{parent=projects/*/locations/*}/customClasses`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where this custom class will be created. Format: `projects/{project}/locations/{location}/customClasses` Speech-to-Text supports three locations: `global`, `us` (US North America), and `eu` (Europe). If you are calling the `speech.googleapis.com` endpoint, use the `global` location. To specify a region, use a [regional endpoint](https://cloud.google.com/speech-to-text/docs/endpoints) with matching `us` or `eu` location value. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `speech.customClasses.create` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "customClassId": string, "customClass": { object (`https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v1/projects.locations.customClasses#CustomClass`) } } ``` |

| Fields ||
|---|---|
| `customClassId` | `string` Required. The ID to use for the custom class, which will become the final component of the custom class' resource name. This value should restrict to letters, numbers, and hyphens, with the first character a letter, the last a letter or a number, and be 4-63 characters. |
| `customClass` | ``object (`https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v1/projects.locations.customClasses#CustomClass`)`` Required. The custom class to create. |

### Response body

If successful, the response body contains a newly created instance of `https://docs.cloud.google.com/speech-to-text/docs/reference/rest/v1/projects.locations.customClasses#CustomClass`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).